python教程—pip安装出错:无法找到vcvarsall.bat-Python实用宝典

python教程—pip安装出错:无法找到vcvarsall.bat

用Python 2.7在Windows 8上使用pip install zipline会出现错误:问题:如何解决这个错误?运行pip安装zipline[all]给出相同的错误…

使用pipinstall zipline在Windows 8和python2.7中安装给我的错误:

    Downloading/unpacking six (from python-dateutil==2.1->delorean->zipline[all]) Running setup.py egg_info for package six Installing collected packages: blist, pytz, requests, python-dateutil, six Running setup.py install for blist building '_blist' extension error: Unable to find vcvarsall.bat Complete output from command C:Python27python.exe -c "import setuptools;__ file__='c:\users\ThatsMe\appdata\local\temp\pip-build-ThatsMe\blist\setup.py';ex ec(compile(open(__file__).read().replace('rn', 'n'), __file__, 'exec'))" inst all --record c:usersThatsMeappdatalocaltemppip-xvoky2-recordinstall-record.tx t --single-version-externally-managed: running install running build running build_py running build_ext building '_blist' extension error: Unable to find vcvarsall.bat

问题:如何解决这个错误?运行pip安装zipline[all]给出相同的错误…

回答

您可以使用ol' good easy_install zipline代替。

easy_install不是pip,但是它的一个优点是还可以下载和安装二进制包,这将使您无需准备vc++。当然,这依赖于假设二进制文件是为您的Python版本准备的。

更新:

是的,Pip现在可以安装二进制文件了!

有一种新的二进制Python归档格式(wheel),它应该替代“eggs”。车轮已经由pip支撑。这意味着只要有人为您的平台构建了一个转轮并将其上传到PyPI,您就可以使用pip安装zipline,而无需编译它。

​Python实用宝典 (pythondict.com)
不只是一个宝典
欢迎关注公众号:Python实用宝典

本文由 Python实用宝典 作者:Python实用宝典 发表,其版权均为 Python实用宝典 所有,文章内容系作者个人观点,不代表 Python实用宝典 对观点赞同或支持。如需转载,请注明文章来源。
0

发表评论